# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# band_codec.h File Reference

`#include <libdirac_common/arith_codec.h>`
`#include <libdirac_common/wavelet_utils.h>`

Go to the source code of this file.

## Classes

- class dirac::GenericBandCodec< EntropyCodec >
    A template class for coding and decoding wavelet subband data. More...
- class dirac::GenericIntraDCBandCodec< EntropyCodec >
    A template class specially for coding the DC subband of Intra frames. More...
- class dirac::IntraDCBandCodec
    A class specially for coding the DC subband of Intra frames. More...

## Namespaces

- namespace dirac

    Definition of class SequenceHeaderByteIO.

## Typedefs

- typedef GenericBandCodec
  < ArithCodec< CoeffArray > > dirac::BandCodec
    A general class for coding and decoding wavelet subband data.
- typedef BandCodec dirac::LFBandCodec

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.